当前位置: 首页 > Kali Linux, WEB安全 > 正文

解决部分版本kali升级后w3af无法运行的问题

1,w3af简介

w3af是一个Web应用程序攻击和检查框架.该项目已超过130个插件,其中包括检查网站爬虫,SQL注入(SQL Injection),跨站(XSS),本地文件包含(LFI),远程文件包含(RFI).该项目的目标是要建立一个框架,以寻找和开发Web应用安全漏洞,所以很容易使用和扩展.

2,问题现象1

Kali 使用apt-get upgrade && apt-get dist-upgrade之后,打开w3af有如下提示:

 

按照提示,输入sudo pip install futures cluster,显示无此命令。这其实是没有python-pip模板,这就好解决了,直接输入apt-get install python-pip回车就ok了。

再次打开w3af就可以了。

问题现象2

kali部分版本升级后(64位未出现此问题),运行w3af会提示缺少esmre这个python模块:

w3af1

    按照错误提示,执行pip install esmre发现没有pip命令,赶紧安装:apt-get install python-pip,完成后再次执行错误提示中的命令和脚本,结果提示esmre已经存在。回过头来再次运行w3af的时候,错误提示依旧。

   在国外论坛看看,结果还真找着了,有哥们说利用esmre源文件安装,重新下载w3af后问题解决了。

               step 1:去http://code.google.com/p/esmre/  下载esmre的源代码

               step 2:解压后手动安装 ~/Desktop/esmre-0.3.1# python ./setup.py install

 

 



这篇博文由 s0nnet 于2014年04月02日发表在 Kali Linux, WEB安全 分类下, 欢迎你在下面发表评论
如无特别说明,独木の白帆发表的文章均为原创,欢迎大家转载,转载请注明: 解决部分版本kali升级后w3af无法运行的问题 | 独木の白帆
关键字:

解决部分版本kali升级后w3af无法运行的问题:等您坐沙发呢!

发表评论

快捷键:Ctrl+Enter